org.apache.ignite.mxbean

## Interface IgniteMXBean

All Known Implementing Classes:
  IgniteKernal

    @MXBeanDescription(value="MBean that provides access to Kernal information.")
    public interface IgniteMXBean

This interface defines JMX view on kernal.

### Method Summary

Methods
`void` `dumpDebugInfo()` Dumps debug information for the current node.
`String` `executeTask(String taskName, String arg)` A shortcut method that executes given task assuming single `java.lang.String` argument and `java.lang.String` return type.
`String` `getCheckpointSpiFormatted()` Gets a formatted instance of configured checkpoint SPI implementation.
`String` `getCollisionSpiFormatted()` Gets a formatted instance of configured collision SPI implementations.
`String` `getCommunicationSpiFormatted()` Gets a formatted instance of fully configured SPI communication implementation.
`String` `getCopyright()` Gets copyright statement for Ignite product.
`String` `getDeploymentSpiFormatted()` Gets a formatted instance of fully configured deployment SPI implementation.
`String` `getDiscoverySpiFormatted()` Gets a formatted instance of configured discovery SPI implementation.
`String` `getEventStorageSpiFormatted()` Gets a formatted instance of fully configured event SPI implementation.
`String` `getExecutorServiceFormatted()` Gets a formatted instance of fully configured thread pool that is used in grid.
`String` `getFailoverSpiFormatted()` Gets a formatted instance of fully configured failover SPI implementations.
`String` `getFullVersion()` Gets string presentation of the version.
`String` `getGridLoggerFormatted()` Gets a formatted instance of logger that is in grid.
`String` `getIgniteHome()` Gets Ignite installation home folder.
`String` `getInstanceName()` Gets optional kernal instance name.
`String` `getJdkInformation()` Gets JDK information.
`List<String>` `getLifecycleBeansFormatted()` Gets `toString()` representation of of lifecycle beans configured with Ignite.
`String` `getLoadBalancingSpiFormatted()` Gets a formatted instance of fully configured load balancing SPI implementations.
`UUID` `getLocalNodeId()` Unique identifier for this node within grid.
`String` `getMBeanServerFormatted()` Gets a formatted instance of MBean server instance.
`String` `getOsInformation()` Gets OS information.
`String` `getOsUser()` Gets OS user.
`long` `getStartTimestamp()` Get start timestamp of the kernal.
`String` `getStartTimestampFormatted()` Gets string presentation of the kernal start timestamp.
`String` `getSwapSpaceSpiFormatted()` Gets a formatted instance of configured swapspace SPI implementations.
`long` `getUpTime()` Gets up-time of the kernal.
`String` `getUpTimeFormatted()` Gets string presentation of up-time for the kernal.
`List<String>` `getUserAttributesFormatted()` Gets a list of formatted user-defined attributes added to this node.
`String` `getVmName()` Gets VM name.
`boolean` `isPeerClassLoadingEnabled()` Returns `true` if peer class loading is enabled, `false` otherwise.
`boolean` `pingNode(String nodeId)` Pings node with given node ID to see whether it is alive.
`boolean` `pingNodeByAddress(String host)` Pings node with given host name to see if it is alive.
`void` `printLastErrors()` Prints errors.
`boolean` `removeCheckpoint(String key)` This method allows manually remove the checkpoint with given `key`.
`void` `undeployTaskFromGrid(String taskName)` Makes the best attempt to undeploy a task from the whole grid.

### Method Detail

#### getFullVersion

    @MXBeanDescription(value="String presentation of the Ignite version.")
    String getFullVersion()

Gets string presentation of the version.

Returns:
  String presentation of the version.

#### getCopyright

    @MXBeanDescription(value="Copyright statement for Ignite product.")
    String getCopyright()

Gets copyright statement for Ignite product.

Returns:
  Copyright statement for Ignite product.

#### getStartTimestampFormatted

    @MXBeanDescription(value="String presentation of the kernal start timestamp.")
    String getStartTimestampFormatted()

Gets string presentation of the kernal start timestamp.

Returns:
  String presentation of the kernal start timestamp.

#### getUpTimeFormatted

    @MXBeanDescription(value="String presentation of up-time for the kernal.")
    String getUpTimeFormatted()

Gets string presentation of up-time for the kernal.

Returns:
  String presentation of up-time for the kernal.

#### getStartTimestamp

    @MXBeanDescription(value="Start timestamp of the kernal.")
    long getStartTimestamp()

Get start timestamp of the kernal.

Returns:
  Start timestamp of the kernal.

#### getUpTime

    @MXBeanDescription(value="Up-time of the kernal.")
    long getUpTime()

Gets up-time of the kernal.

Returns:
  Up-time of the kernal.

#### getUserAttributesFormatted

    @MXBeanDescription(value="Collection of formatted user-defined attributes added to this node.")
    List<String> getUserAttributesFormatted()

Gets a list of formatted user-defined attributes added to this node.

Note that grid will add all System properties and environment properties to grid node attributes also. SPIs may also add node attributes that are used for SPI implementation.

Returns:
  User defined attributes for this node.

#### getGridLoggerFormatted

    @MXBeanDescription(value="Formatted instance of logger that is in grid.")
    String getGridLoggerFormatted()

Gets a formatted instance of logger that is in grid.

Returns:
  Logger that is used in grid.

#### getExecutorServiceFormatted

    @MXBeanDescription(value="Formatted instance of fully configured thread pool that is used in grid.")
    String getExecutorServiceFormatted()

Gets a formatted instance of fully configured thread pool that is used in grid.

Returns:
  Thread pool implementation that is used in grid.

#### getIgniteHome

    @MXBeanDescription(value="Ignite installation home folder.")
    String getIgniteHome()

Gets Ignite installation home folder.

Returns:
  Ignite installation home.

#### getMBeanServerFormatted

    @MXBeanDescription(value="Formatted instance of MBean server instance.")
    String getMBeanServerFormatted()

Gets a formatted instance of MBean server instance.

Returns:
  MBean server instance.

#### getLocalNodeId

    @MXBeanDescription(value="Unique identifier for this node within grid.")
    UUID getLocalNodeId()

Unique identifier for this node within grid.

Returns:
  Unique identifier for this node within grid.

#### isPeerClassLoadingEnabled

    @MXBeanDescription(value="Whether or not peer class loading (a.k.a. P2P class loading) is enabled.")
    boolean isPeerClassLoadingEnabled()

Returns `true` if peer class loading is enabled, `false` otherwise. Default value is `true`.

When peer class loading is enabled and task is not deployed on local node, local node will try to load classes from the node that initiated task execution. This way, a task can be physically deployed only on one node and then internally penetrate to all other nodes.

Returns:
  `true` if peer class loading is enabled, `false` otherwise.

#### getLifecycleBeansFormatted

    @MXBeanDescription(value="String representation of lifecycle beans.")
    List<String> getLifecycleBeansFormatted()

Gets `toString()` representation of of lifecycle beans configured with Ignite.

Returns:
  `toString()` representation of all lifecycle beans configured with Ignite.

#### removeCheckpoint

    @MXBeanDescription(value="This method allows manually remove the checkpoint with given key. Return true if specified checkpoint was indeed removed, false otherwise.")
    @MXBeanParametersNames(value="key")
    @MXBeanParametersDescriptions(value="Checkpoint key to remove.")
    boolean removeCheckpoint(String key)

This method allows manually remove the checkpoint with given `key`.

Parameters:
  `key` - Checkpoint key.
Returns:
  `true` if specified checkpoint was indeed removed, `false` otherwise.

#### pingNode

    @MXBeanDescription(value="Pings node with given node ID to see whether it is alive. Returns whether or not node is alive.")
    @MXBeanParametersNames(value="nodeId")
    @MXBeanParametersDescriptions(value="String presentation of node ID. See java.util.UUID class for details.")
    boolean pingNode(String nodeId)

Pings node with given node ID to see whether it is alive.

Parameters:
  `nodeId` - String presentation of node ID. See `UUID.fromString(String)` for details on string formatting.
Returns:
  Whether or not node is alive.

#### undeployTaskFromGrid

    @MXBeanDescription(value="Makes the best attempt to undeploy a task from the whole grid.")
    @MXBeanParametersNames(value="taskName")
    @MXBeanParametersDescriptions(value="Name of the task to undeploy.")
    void undeployTaskFromGrid(String taskName)
                              throws JMException

Makes the best attempt to undeploy a task from the whole grid. Note that this method returns immediately and does not wait until the task will actually be undeployed on every node.

Note that Ignite maintains internal versions for grid tasks in case of redeployment. This method will attempt to undeploy all versions on the grid task with given name.

Parameters:
  `taskName` - Name of the task to undeploy. If task class has `ComputeTaskName` annotation, then task was deployed under a name specified within annotation. Otherwise, full class name should be used as task's name.
Throws:
  `JMException` - Thrown if undeploy failed.

#### executeTask

    @MXBeanDescription(value="A shortcut method that executes given task assuming single String argument and String return type. Returns Task return value (assumed of String type).")
    @MXBeanParametersNames(value={"taskName","arg"})
    @MXBeanParametersDescriptions(value={"Name of the task to execute.","Single task execution argument (can be null)."})
    String executeTask(String taskName,
                                                                                                         String arg)
                       throws JMException

A shortcut method that executes given task assuming single `java.lang.String` argument and `java.lang.String` return type.

Parameters:
  `taskName` - Name of the task to execute.
  `arg` - Single task execution argument (can be `null`).
Returns:
  Task return value (assumed of `java.lang.String` type).
Throws:
  `JMException` - Thrown in case when execution failed.

#### pingNodeByAddress

    @MXBeanDescription(value="Pings node with given host name to see if it is alive. Returns whether or not node is alive.")
    @MXBeanParametersNames(value="host")
    @MXBeanParametersDescriptions(value="Host name or IP address of the node to ping.")
    boolean pingNodeByAddress(String host)

Pings node with given host name to see if it is alive.

Parameters:
  `host` - Host name or IP address of the node to ping.
Returns:
  Whether or not node is alive.

#### getDiscoverySpiFormatted

    @MXBeanDescription(value="Formatted instance of configured discovery SPI implementation.")
    String getDiscoverySpiFormatted()

Gets a formatted instance of configured discovery SPI implementation.

Returns:
  Grid discovery SPI implementation.

#### getCommunicationSpiFormatted

    @MXBeanDescription(value="Formatted instance of fully configured SPI communication implementation.")
    String getCommunicationSpiFormatted()

Gets a formatted instance of fully configured SPI communication implementation.

Returns:
  Grid communication SPI implementation.

#### getDeploymentSpiFormatted

    @MXBeanDescription(value="Formatted instance of fully configured deployment SPI implementation.")
    String getDeploymentSpiFormatted()

Gets a formatted instance of fully configured deployment SPI implementation.

Returns:
  Grid deployment SPI implementation.

#### getCheckpointSpiFormatted

    @MXBeanDescription(value="Formatted instance of configured checkpoint SPI implementation.")
    String getCheckpointSpiFormatted()

Gets a formatted instance of configured checkpoint SPI implementation.

Returns:
  Grid checkpoint SPI implementation.

#### getCollisionSpiFormatted

    @MXBeanDescription(value="Formatted instance of configured collision SPI implementations.")
    String getCollisionSpiFormatted()

Gets a formatted instance of configured collision SPI implementations.

Returns:
  Grid collision SPI implementations.

#### getSwapSpaceSpiFormatted

    @MXBeanDescription(value="Formatted instance of configured swapspace SPI implementations.")
    String getSwapSpaceSpiFormatted()

Gets a formatted instance of configured swapspace SPI implementations.

Returns:
  Grid swapspace SPI implementations.

#### getEventStorageSpiFormatted

    @MXBeanDescription(value="Formatted instance of fully configured event SPI implementation.")
    String getEventStorageSpiFormatted()

Gets a formatted instance of fully configured event SPI implementation.

Returns:
  Grid event SPI implementation.

#### getFailoverSpiFormatted

    @MXBeanDescription(value="Formatted instance of fully configured failover SPI implementations.")
    String getFailoverSpiFormatted()

Gets a formatted instance of fully configured failover SPI implementations.

Returns:
  Grid failover SPI implementations.

#### getLoadBalancingSpiFormatted

    @MXBeanDescription(value="Formatted instance of fully configured load balancing SPI implementations.")
    String getLoadBalancingSpiFormatted()

Gets a formatted instance of fully configured load balancing SPI implementations.

Returns:
  Grid load balancing SPI implementations.

#### getOsInformation

    @MXBeanDescription(value="OS information.")
    String getOsInformation()

Gets OS information.

Returns:
  OS information.

#### getJdkInformation

    @MXBeanDescription(value="JDK information.")
    String getJdkInformation()

Gets JDK information.

Returns:
  JDK information.

#### getOsUser

    @MXBeanDescription(value="OS user name.")
    String getOsUser()

Gets OS user.

Returns:
  OS user name.

#### getVmName

    @MXBeanDescription(value="VM name.")
    String getVmName()

Gets VM name.

Returns:
  VM name.

#### getInstanceName

    @MXBeanDescription(value="Optional kernal instance name.")
    String getInstanceName()

Gets optional kernal instance name. It can be `null`.

Returns:
  Optional kernal instance name.

#### printLastErrors

    @MXBeanDescription(value="Prints last suppressed errors.")
    void printLastErrors()

Prints errors.

#### dumpDebugInfo

    @MXBeanDescription(value="Dumps debug information for the current node.")
    void dumpDebugInfo()

Dumps debug information for the current node.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016